BCOPY(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
bcopy - memory operations (LEGACY)

SYNOPSIS

#include <strings.h>

void bcopy(const void *s1, void *s2, size_t n);

DESCRIPTION

The bcopy() function shall copy n bytes from the area pointed to by s1 to the area pointed to by s2.

The bytes are copied correctly even if the area pointed to by s1 overlaps the area pointed to by s2.

RETURN VALUE

The bcopy() function shall not return a value.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The memmove() function is preferred over this function.

The following are approximately equivalent (note the order of the arguments):

    bcopy(s1,s2,n) ~= memmove(s2,s1,n)

For maximum portability, it is recommended to replace the function call to bcopy() as follows:

    #define bcopy(b1,b2,len) (memmove((b2), (b1), (len)), (void) 0)

RATIONALE

None.

FUTURE DIRECTIONS

This function may be withdrawn in a future version.

SEE ALSO

memmove(), the Base Definitions volume of IEEE Std 1003.1-2001, <strings.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .